/*
 * Copyright (c) 2018. paascloud.net All Rights Reserved.
 * 项目名称：paascloud快速搭建企业级分布式微服务平台
 * 类名称：SocialAuthenticationFilterPostProcessor.java
 * 创建人：刘兆明
 * 联系方式：paascloud.net@gmail.com
 * 开源地址: https://github.com/paascloud
 * 博客地址: http://blog.paascloud.net
 * 项目官网: http://paascloud.net
 */

package com.paascloud.security.core.social.support;

import org.springframework.social.security.SocialAuthenticationFilter;

/**
 * SocialAuthenticationFilter后处理器，用于在不同环境下个性化社交登录的配置
 *
 * @author paascloud.net @gmail.com
 */
public interface SocialAuthenticationFilterPostProcessor {

	/**
	 * Process.
	 *
	 * @param socialAuthenticationFilter the social authentication filter
	 */
	void process(SocialAuthenticationFilter socialAuthenticationFilter);

}
